char *uart_rd,output,aux;
char data1[12];
int data_size;
int i,x;
/*
// LCD module connections
sbit LCD_RS at RB4_bit;
sbit LCD_EN at RB5_bit;
sbit LCD_D4 at RA0_bit;
sbit LCD_D5 at RA1_bit;
sbit LCD_D6 at RA2_bit;
sbit LCD_D7 at RA3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISA0_bit;
sbit LCD_D5_Direction at TRISA1_bit;
sbit LCD_D6_Direction at TRISA2_bit;
sbit LCD_D7_Direction at TRISA3_bit;
*/
 /*
char txt3[] = "Lcd4bit";
char txt4[] = "example";
 */
void setup() {
  TRISB.RB3=0;
  TRISB.RB0=0;
  TRISB.RB6=0;
  PORTB.RB0=0;
  PORTB.RB3=0;
  PORTB.RB6=0;

  CMCON=7;

  UART1_Init(9600);               // Initialize UART module at 9600 bps
  /*
  Lcd_Init();                        // Initialize LCD
  */
  /*
  Lcd_Cmd(_LCD_CLEAR);               // Clear display
  Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
  Lcd_Out(1,6,txt3);                 // Write text in first row

  Lcd_Out(2,6,txt4);                 // Write text in second row
  Delay_ms(2000);
  Lcd_Cmd(_LCD_CLEAR);               // Clear display
  */

  Delay_ms(100);                  // Wait for UART module to stabilize
 /* for (i=0;i < 5;i++){
        delay_ms(100);
    }
       */

}


void main() {
 setup();
 
 UART1_Write_Text("AT+SAPBR=3,1,\"Contype\",\"GPRS\"");
  UART1_Write(0x0D);
  UART1_Write(0x0A);
  do{
        while(UART1_Data_Ready() == 0);
    }while(UART1_Read()!= 'K');
    delay_ms(200);
    PORTB.RB3=1;

  UART1_Write_Text("AT+SAPBR=3,1,\"APN\",\"wap\"");
  UART1_Write(0x0D);
  UART1_Write(0x0A);
  do{
        while(UART1_Data_Ready() == 0);
    }while(UART1_Read()!='K');
    delay_ms(100);
     PORTB.RB3=0;

   UART1_Write_Text("AT+SAPBR=1,1");
  UART1_Write(0x0D);
  UART1_Write(0x0A);
  do{
        while(UART1_Data_Ready() == 0);
    }while(UART1_Read()!='K');
    delay_ms(100);
    PORTB.RB3=1;

  UART1_Write_Text("AT+HTTPINIT");
  UART1_Write(0x0D);
  UART1_Write(0x0A);
  do{
        while(UART1_Data_Ready() == 0);
    }while(UART1_Read()!='K');
    delay_ms(100);
    PORTB.RB3=0;


  UART1_Write_Text("AT+HTTPPARA=\"CID\",1");
  UART1_Write(0x0D);
  UART1_Write(0x0A);
  do{
        while(UART1_Data_Ready() == 0);
    }while(UART1_Read()!='K');
    delay_ms(100);
    PORTB.RB3=1;

  UART1_Write_Text("AT+HTTPPARA=\"URL\",\"maruf.eee-lab.com/maruf.txt\"");
  UART1_Write(0x0D);
  UART1_Write(0x0A);
  do{
        while(UART1_Data_Ready() == 0);
    }while(UART1_Read()!='K');
    delay_ms(100);
    PORTB.RB3=1;
    PORTB.RB0=1;
    
UART1_Write_Text("AT+HTTPACTION=0");  //Connects with the HTTP server, this action can need to wait a several time
  UART1_Write(0x0D);
  UART1_Write(0x0A);
    x=0;
    do{
        while(UART1_Data_Ready()==0);
    }while(UART1_Read()!=0x2C);
    PORTB.RB3=0;
    PORTB.RB0=0;
    do{
        while(UART1_Data_Ready()==0);
    }while(UART1_Read()!=0x0A);
    delay_ms(100);
    PORTB.RB3=0;
    PORTB.RB0=0;

    UART1_Write_Text("AT+HTTPREAD=0,200");   //Reads 200 bytes from byte 0
    UART1_Write(0x0D);
    UART1_Write(0x0A);

    do{
        while(UART1_Data_Ready()==0);
    }while(UART1_Read()!=':');

   data_size=0;
    while(UART1_Data_Ready()==0);

    aux=UART1_Read();
    do{
        data_size*=10;
        data_size+=(aux-0x30);
        while(UART1_Data_Ready()==0);
        aux=UART1_Read();
    }while(aux!='\r');

    do{
        while(UART1_Data_Ready()==0);
    }while(UART1_Read()!='\n');

    for(x=0;x<=data_size;x++){
        while(UART1_Data_Ready()==0);
    data1[x]=UART1_Read();
    }

    if(data1[0]=='1')
    {
    PORTB.RB6=1;
    }
    else
      {
        PORTB.RB6=0;
      }
 
 delay_ms(5000);

}