#line 1 "E:/Microcontroller/Nov2012/LCD and GSM interface/P16F628/lcdgsm.c"
char *uart_rd,output,aux;
char data1[12];
int data_size;
int i,x;
#line 25 "E:/Microcontroller/Nov2012/LCD and GSM interface/P16F628/lcdgsm.c"
void setup() {
 TRISB.RB3=0;
 TRISB.RB0=0;
 TRISB.RB6=0;
 PORTB.RB0=0;
 PORTB.RB3=0;
 PORTB.RB6=0;

 CMCON=7;

 UART1_Init(9600);
#line 49 "E:/Microcontroller/Nov2012/LCD and GSM interface/P16F628/lcdgsm.c"
 Delay_ms(100);
#line 55 "E:/Microcontroller/Nov2012/LCD and GSM interface/P16F628/lcdgsm.c"
}


void main() {
 setup();

 UART1_Write_Text("AT+SAPBR=3,1,\"Contype\",\"GPRS\"");
 UART1_Write(0x0D);
 UART1_Write(0x0A);
 do{
 while(UART1_Data_Ready() == 0);
 }while(UART1_Read()!= 'K');
 delay_ms(200);
 PORTB.RB3=1;

 UART1_Write_Text("AT+SAPBR=3,1,\"APN\",\"wap\"");
 UART1_Write(0x0D);
 UART1_Write(0x0A);
 do{
 while(UART1_Data_Ready() == 0);
 }while(UART1_Read()!='K');
 delay_ms(100);
 PORTB.RB3=0;

 UART1_Write_Text("AT+SAPBR=1,1");
 UART1_Write(0x0D);
 UART1_Write(0x0A);
 do{
 while(UART1_Data_Ready() == 0);
 }while(UART1_Read()!='K');
 delay_ms(100);
 PORTB.RB3=1;

 UART1_Write_Text("AT+HTTPINIT");
 UART1_Write(0x0D);
 UART1_Write(0x0A);
 do{
 while(UART1_Data_Ready() == 0);
 }while(UART1_Read()!='K');
 delay_ms(100);
 PORTB.RB3=0;


 UART1_Write_Text("AT+HTTPPARA=\"CID\",1");
 UART1_Write(0x0D);
 UART1_Write(0x0A);
 do{
 while(UART1_Data_Ready() == 0);
 }while(UART1_Read()!='K');
 delay_ms(100);
 PORTB.RB3=1;

 UART1_Write_Text("AT+HTTPPARA=\"URL\",\"maruf.eee-lab.com/maruf.txt\"");
 UART1_Write(0x0D);
 UART1_Write(0x0A);
 do{
 while(UART1_Data_Ready() == 0);
 }while(UART1_Read()!='K');
 delay_ms(100);
 PORTB.RB3=1;
 PORTB.RB0=1;

UART1_Write_Text("AT+HTTPACTION=0");
 UART1_Write(0x0D);
 UART1_Write(0x0A);
 x=0;
 do{
 while(UART1_Data_Ready()==0);
 }while(UART1_Read()!=0x2C);
 PORTB.RB3=0;
 PORTB.RB0=0;
 do{
 while(UART1_Data_Ready()==0);
 }while(UART1_Read()!=0x0A);
 delay_ms(100);
 PORTB.RB3=0;
 PORTB.RB0=0;

 UART1_Write_Text("AT+HTTPREAD=0,200");
 UART1_Write(0x0D);
 UART1_Write(0x0A);

 do{
 while(UART1_Data_Ready()==0);
 }while(UART1_Read()!=':');

 data_size=0;
 while(UART1_Data_Ready()==0);

 aux=UART1_Read();
 do{
 data_size*=10;
 data_size+=(aux-0x30);
 while(UART1_Data_Ready()==0);
 aux=UART1_Read();
 }while(aux!='\r');

 do{
 while(UART1_Data_Ready()==0);
 }while(UART1_Read()!='\n');

 for(x=0;x<=data_size;x++){
 while(UART1_Data_Ready()==0);
 data1[x]=UART1_Read();
 }

 if(data1[0]=='1')
 {
 PORTB.RB6=1;
 }
 else
 {
 PORTB.RB6=0;
 }

 delay_ms(5000);

}
